use core::simd;

use aes::Block;

pub fn xor16b(x: Block, y: Block) -> Block {
    let x = simd::u8x16::from_array(x.into());
    let y = simd::u8x16::from_array(y.into());
    let z: [u8; 16] = (x ^ y).into();
    Block::from(z)
}
